--- gnutls-3.2.15/m4/hooks.m4	2014-05-29 19:13:15.000000000 +0200
+++ hooks.m4.new	2014-06-04 09:30:43.174494323 +0200
@@ -189,10 +189,11 @@
                    [disable support for the heartbeat extension]),
     ac_enable_heartbeat=$enableval,ac_enable_heartbeat=yes)
   if test x$ac_enable_heartbeat != xno; then
-   AC_MSG_RESULT(yes)
+   AC_MSG_RESULT(no)
    AC_DEFINE([ENABLE_HEARTBEAT], 1, [enable heartbeat support])
   else
-   AC_MSG_RESULT(no)
+   ac_full=0
+   AC_MSG_RESULT(yes)
   fi
   AM_CONDITIONAL(ENABLE_HEARTBEAT, test "$ac_enable_heartbeat" != "no")
 
@@ -299,9 +300,8 @@
   AC_ARG_ENABLE(ocsp,
     AS_HELP_STRING([--disable-ocsp],
                    [disable OCSP support]),
-    ac_enable_ocsp=no)
+    ac_enable_ocsp=$enableval, ac_enable_ocsp=yes)
   if test x$ac_enable_ocsp != xno; then
-   ac_enable_ocsp=yes
    AC_MSG_RESULT(no)
    AC_DEFINE([ENABLE_OCSP], 1, [enable OCSP support])
   else
